Summary: A software wavetable MIDI synthesizer.
Name: timidity++
Version: 2.4.1
Release: 2
Group: Applications/Multimedia
Source: http://www.goice.co.jp/member/mo/timidity/dist/TiMidity++-%{version}.tar.gz
Source1: http://archive.cs.umbc.edu/pub/midia/instruments.tar.gz
Source2: timidity.cfg
Patch: timidity-noalsa.patch
Copyright: GPL
BuildRoot: /var/tmp/timidity-root

%description
TiMidity++ is a MIDI format to wave table format converter and
player. Install timitidy++ if you'd like to play MIDI files and your
sound card doesn't natively support wave table format. If you want to
use TiMidity++ with X, you should instead install the timidity++-X11
package.

%package X11
Group: Applications/Multimedia
Requires: timidity++ = %{version}
Summary: A software wavetable MIDI synthesizer using the GTK toolkit.

%description X11
TiMidity++ is a MIDI format to wave table format converter and
player. This package includes a version of TiMidity++ with a GUI
written using the GTK+ widget set for the X Window System.  Install
timitidy++-X11 if you'd like to play MIDI files using X and your sound
card doesn't natively support wave table format.

%prep
%setup -q -n TiMidity++-%{version}
# don't build alsa support, even if it's in the buildroot
%patch -p1 -b .noalsa

%build
# esd support garbles the sound, unless you do mono. Turned off for now.
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=/usr --enable-dynamic \
	--enable-gtk # --enable-esd
make
mv timidity/timidity  timidity/gtimidity
make clean
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=/usr --enable-dynamic \
	--enable-slang --without-x # --enable-esd 
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
install timidity/gtimidity $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/timidity
install -m 644 $RPM_SOURCE_DIR/timidity.cfg $RPM_BUILD_ROOT/usr/lib/timidity/timidity.cfg
cd $RPM_BUILD_ROOT/usr/lib/timidity
tar -xzvf $RPM_SOURCE_DIR/instruments.tar.gz

strip $RPM_BUILD_ROOT/usr/bin/*

%files
%defattr(-,root,root)
/usr/bin/timidity
/usr/lib/timidity
/usr/man/man*/*

%files X11
%defattr(-,root,root)
/usr/bin/gtimidity

%changelog
* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- add a changelog
- strip binaries
